﻿using com.daysofwonder;
using ProtoBuf;
using System;

namespace AsmodeeDigital.PlayReal.Plugin.Domain.Players
{
    /// <summary>
    /// Distant player
    /// </summary>
    [ProtoContract, Serializable]
    public class DistantPlayerSeat : IPlayerSeat
    {
        /// <summary>
        /// DoW player
        /// </summary>
        [ProtoMember(1)]
        public Player DoWPlayer { get; set; }

        /// <summary>
        /// ID of the player in the current game
        /// </summary>
        [ProtoMember(2)]
        public int LocalId { get; set; }

        /// <summary>
        /// Name of the player
        /// </summary>
        [ProtoMember(3)]
        public string Name { get; set; }

        /// <summary>
        /// True if the player is online
        /// </summary>
        [ProtoMember(4)]
        public bool Online { get; set; }

        public DistantPlayerSeat(Player dowPlayer, bool online)
        {
            DoWPlayer = dowPlayer;
            LocalId = dowPlayer.id;
            Name = dowPlayer.name;

            Online = online;
        }

        public DistantPlayerSeat()
        {
        }
    }
}
